org.apache.maven.scm.provider.starteam.command.unedit

## Class StarteamUnEditCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.unedit.AbstractUnEditCommand
    - - org.apache.maven.scm.provider.starteam.command.unedit.StarteamUnEditCommand

- All Implemented Interfaces:
    Command, StarteamCommand

      public class StarteamUnEditCommand
      extends AbstractUnEditCommand
      implements StarteamCommand

  Version:
    $Id: StarteamUnEditCommand.java 691810 2008-09-03 22:38:28Z vsiveton $
  Author:
    Dan T. Tran

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StarteamUnEditCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.codehaus.plexus.util.cli.Commandline` | `createCommandLine(StarteamScmProviderRepository repo, ScmFileSet dirOrFile)`
    `protected ScmResult` | `executeUnEditCommand(ScmProviderRepository repo, ScmFileSet fileSet)`

    - ### Methods inherited from class org.apache.maven.scm.command.unedit.AbstractUnEditCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.scm.command.Command

      `execute, getLogger, setLogger`

- - ### Constructor Detail

    - #### StarteamUnEditCommand

          public StarteamUnEditCommand()

  - ### Method Detail

    - #### executeUnEditCommand

          protected ScmResult executeUnEditCommand(ScmProviderRepository repo,
                                       ScmFileSet fileSet)
                                            throws ScmException

      Specified by:
        `executeUnEditCommand` in class `AbstractUnEditCommand`
      Throws:
        `ScmException`

    - #### createCommandLine

          public static org.codehaus.plexus.util.cli.Commandline createCommandLine(StarteamScmProviderRepository repo,
                                                                   ScmFileSet dirOrFile)

Copyright © 2003–2015. All rights reserved.